# Quotas


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>get-quota

Retrieve Resource Quota

```
GET /quota/{entity}
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `entity` | `path` |  |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `limit` | integer | Resource Limit. -1 for Unlimited |
| `resource` | string | Resource Name |
| `usage` | integer | Resource Usage |

<details>
<summary>Example output</summary>

```json
{
  "limit": 0,
  "resource": "string",
  "usage": 0
}
```
</details>


SDK reference for `get-quota`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetQuota) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_quota) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getQuota(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-quota`

## <span data-label="GET" class="pill-GET"></span>list-quotas

List Organization Quotas

```
GET /quota
```

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `quotas` | array of [Organization Quota](/reference/api/_schemas/quota/) |  |

<details>
<summary>Example output</summary>

```json
{
  "quotas": [
    {
      "limit": 0,
      "resource": "string",
      "usage": 0
    }
  ]
}
```
</details>


SDK reference for `list-quotas`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListQuotas) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_quotas) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listQuotas())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-quotas`


